# $Revision: 1.109 $, $Date: 2011/03/29 09:28:05 $
# TODO
# - bconds: altivec joystick lcd
# - lcd? (app-misc/lcdproc)
# - alpha, sparc, ppc arches?
# - http://outflux.net/software/pkgs/mythtvfs-fuse/
# - vaapi support - check for compatible versions of libva?
#
# Specfile for MythTV
#
#  MythTV now uses a fairly intelligent cpu-detection script, so if you are
#  building an rpm by hand on the machine it will be used on, I encourage you
#  to use "--with cpu_autodetect" to let mythtv decide for you.
#
# Conditional build:
%bcond_with	cpu_autodetect	# enable CPU autodetection at compile time (sets "-march", "-mcpu" compile flags really)
%bcond_without	lirc		# lirc support
%bcond_without	alsa		# alsa support
%bcond_without	oss		# oss support
%bcond_without	jack		# jack audio connection kit
%bcond_without  pulseaudio	# pulseaudio support
%bcond_without	opengl		# opengl vsync
%bcond_without	dvb		# DVB support
%bcond_without	xrandr		# disable X11 resolution switching
%bcond_without	ivtv		# ivtv support (PVR-250, PVR-350) NFY
%bcond_without	iptv
%bcond_without	firewire	# ieee1394 (NFY)
%bcond_without	xvmc		# do not use XvMCW
%bcond_without  vdpau		# disable nvidia vdpau support
%bcond_without  fftw3		# disable fftw3 support
%bcond_with	mmx		# enable MMX
%bcond_without	nellymoserdec
%bcond_with	vaapi		# enable vaapi
%bcond_with     dshowserver	# enable directshow codecs server
%bcond_with 	directfb
%bcond_with	nvidia_headers	# build vdpau support with nvidia headers 
				# instead of libvdpau

# enable mmx automatically on arches having it
%ifarch %{ix86} %{x8664}
%ifnarch i386 i486 i586 i686
%define	with_mmx 1
%endif
%endif

# dshowserver is exclusive arch for x86 x86_64 only
%ifnarch %{ix86} %{x8664}
%undefine with_dshowserver
%endif

%include	/usr/lib/rpm/macros.perl
Summary:	A personal video recorder (PVR) application
Summary(pl.UTF-8):	Osobista aplikacja do nagrywania obrazu (PVR)
Name:		mythtv
Version:	0.23.1
Release:	5
License:	GPL v2
Group:		Applications/Multimedia
Source0:	ftp://ftp.osuosl.org/pub/mythtv/%{name}-%{version}.tar.bz2
# Source0-md5:	3379a5fd12ae866cd10c5b5d23439898
Source1:	mythbackend.sysconfig
Source2:	mythbackend.init
Source3:	mythbackend.logrotate
Source5:	pld-mythfrontend.desktop
# Source5-md5:	f37a903ac97463683bebacdf29406951
Source6:	pld-mythfrontend.png
# Source6-md5:	bf76bd1463a022e174e4af976a03e678
Source20:	dshowcodecs
# Source20-md5:	48327772b9e150f69e1ab8ff44b9a76c
Patch0:		%{name}-configure.patch
Patch10:	%{name}-sbinpath.patch
Patch20:	%{name}-compile_fixes_for_qt_4_7.patch
Patch30:	%{name}-dshowserver-0.22.patch
URL:		http://www.mythtv.org/
BuildRequires:	Mesa-libGLU-devel
BuildRequires:	OpenGL-devel
BuildRequires:	Qt3Support-devel
BuildRequires:	QtCore-devel
BuildRequires:	QtGui-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	QtOpenGL-devel
BuildRequires:	QtScript-devel
BuildRequires:	QtSql-devel
BuildRequires:	QtWebKit-devel
BuildRequires:	QtXml-devel
%{?with_alsa:BuildRequires:	alsa-lib-devel}
BuildRequires:	ffmpeg-devel
%{?with_fftw3:BuildRequires: fftw3-devel,fftw3-single-devel}
BuildRequires:	freetype-devel >= 1:2.0.0
%{?with_jack:BuildRequires:	jack-audio-connection-kit-devel}
BuildRequires:	lame-libs-devel
%{?with_firewire:BuildRequires:	libavc1394-devel}
BuildRequires:	libdts-devel
%{?with_dvb:BuildRequires:	libdvb-devel}
BuildRequires:	libdvdnav-devel
%{?with_firewire:BuildRequires:	libiec61883-devel}
%{?with_firewire:BuildRequires:	libraw1394-devel}
%{!?with_nvidia_headers:%{?with_vdpau:BuildRequires:	libvdpau-devel}}
BuildRequires:	linux-libc-headers >= 7:2.6.10
%{?with_lirc:BuildRequires:	lirc-devel}
BuildRequires:	mysql-devel
BuildRequires:	perl-devel
BuildRequires:	perl-tools-pod
BuildRequires:	pkgconfig
%{?with_pulseaudio:BuildRequires: pulseaudio-devel}
BuildRequires:	python-devel
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.228
BuildRequires:	sed >= 4.0
BuildRequires:	which
%{?with_nvidia_headers:%{?with_vdpau:BuildRequires: xorg-driver-video-nvidia-devel}}
BuildRequires:	xorg-lib-libXext-devel
%{?with_xvmc:BuildRequires:	xorg-lib-libXvMC-devel}
BuildRequires:	xorg-lib-libXxf86vm-devel
%{!?with_pulseaudio:BuildConflicts: pulseaudio-devel}
%{!?with_nvidia_headers:BuildConflicts:	xorg-driver-video-nvidia-devel}
# for Perl bindings
BuildRequires:	perl-ExtUtils-MakeMaker
ExclusiveArch:	%{ix86} %{x8664} ppc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	myth_api_version %(echo %{version} | cut -d. -f1,2)

%description
MythTV implements the following PVR features, and more, with a unified
graphical interface:
- Basic 'live-tv' functionality. Pause/Fast Forward/Rewind "live" TV.
- Video compression using RTjpeg or MPEG-4
- Program listing retrieval using XMLTV
- Themable, semi-transparent on-screen display
- Electronic program guide
- Scheduled recording of TV programs
- Resolution of conflicts between scheduled recordings
- Basic video editing

%description -l pl.UTF-8
MythTV implementuje następujące możliwości PVR, a nawet więcej, wraz z
ujednoliconym interfejsem graficznym:
- podstawowa funkcjonalność "live-tv"; pauza, szybkie przewijanie,
  przewijanie "żywej" telewizji
- kompresja obrazu przy użyciu RTjpeg lub MPEG-4
- odczyt listy programów przy użyciu XMLTV
- pseudoprzezroczyste wyświetlanie na obrazie (OSD) z obsługą motywów
- elektroniczny przewodnik po programie
- planowane nagrywanie programów telewizyjnych
- rozwiązywanie konfliktów między planowanymi nagraniami
- podstawowa edycja obrazu

%package backend
Summary:	Server component of mythtv (a PVR)
Summary(pl.UTF-8):	Część serwerowa mythtv (PVR)
Group:		Applications/Multimedia
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	libmyth = %{version}-%{release}
Requires:	mythtv = %{version}-%{release}
Suggests:	mysql
Provides:	group(mythtv)
Provides:	user(mythtv)

%description backend
MythTV provides a unified graphical interface for recording and
viewing television programs. Refer to the mythtv package for more
information.

This package contains only the server software, which provides video
and audio capture and encoding services. In order to be useful, it
requires a mythtv-frontend installation, either on the same system or
one reachable via the network.

%description backend -l pl.UTF-8
MythTV dostarcza ujednolicony interfejs graficzny do nagrywania i
oglądania programów telewizyjnych. Więcej informacji w pakiecie
mythtv.

Ten pakiet zawiera tylko oprogramowanie serwerowe, udostępniające
usługi przechwytywania i kodowania obrazu i dźwięku. Aby było
przydatne, wymaga instalacji mythtv-frontend - na tym samym systemie,
albo innym osiągalnym w sieci.

%package frontend
Summary:	Client component of mythtv (a PVR)
Summary(pl.UTF-8):	Część kliencka mythtv (PVR)
Group:		Applications/Multimedia
Requires:	libmyth = %{version}-%{release}
Requires:	mythtv = %{version}-%{release}
Requires:	mythtv-themes = %{version}-%{release}
Provides:	mythtv-frontend-api = %{myth_api_version}

%description frontend
MythTV provides a unified graphical interface for recording and
viewing television programs. Refer to the mythtv package for more
information.

This package contains only the client software, which provides a
front-end for playback and configuration. It requires access to a
mythtv-backend installation, either on the same system or one
reachable via the network.

%description frontend -l pl.UTF-8
MythTV dostarcza ujednolicony interfejs graficzny do nagrywania i
oglądania programów telewizyjnych. Więcej informacji w pakiecie
mythtv.

Ten pakiet zawiera tylko oprogramowanie klienckie, dostarczające
frontend do odtwarzania i konfiguracji. Wymaga dostępu do instalacji
mythtv-backend - na tym samym systemie, albo innym osiągalnym w sieci.

%package setup
Summary:	Setup the mythtv backend
Summary(pl.UTF-8):	Konfigurator backendu mythtv
Group:		Applications/Multimedia
Requires:	libmyth = %{version}-%{release}

%description setup
MythTV provides a unified graphical interface for recording and
viewing television programs. Refer to the mythtv package for more
information.

This package contains only the setup software for configuring the
mythtv backend.

%description setup -l pl.UTF-8
MythTV dostarcza ujednolicony interfejs graficzny do nagrywania i
oglądania programów telewizyjnych. Więcej informacji w pakiecie
mythtv.

Ten pakiet zawiera tylko program do konfigurowania backendu mythtv.

%package themes
Summary:	Base themes for mythtv's frontend
Summary(pl.UTF-8):	Podstawowe motywy dla frontendu mythtv
Group:		Themes
Requires:	%{name}-frontend = %{version}-%{release}

%description themes
MythTV provides a unified graphical interface for recording and
viewing television programs. Refer to the mythtv package for more
information.

This package contains only the base themes used by the frontend and
mythtvsetup.

%description themes -l pl.UTF-8
MythTV dostarcza ujednolicony interfejs graficzny do nagrywania i
oglądania programów telewizyjnych. Więcej informacji w pakiecie
mythtv.

Ten pakiet zawiera tylko podstawowe motywy używane przez frontend oraz
mythtvsetup.

%package -n libmyth
Summary:	Library providing mythtv support
Summary(pl.UTF-8):	Biblioteka udostępniająca obsługę mythtv
Group:		Libraries
Requires:	QtSql-mysql
Requires:	freetype >= 1:2.0.0
Requires:	lame

%description -n libmyth
Common library code for MythTV and add-on modules (development) MythTV
provides a unified graphical interface for recording and viewing
television programs. Refer to the mythtv package for more information.

%description -n libmyth -l pl.UTF-8
Wspólny kod biblioteki dla MythTV i dodatkowych modułów MythTV
dostarczający ujednolicony interfejs graficzny do nagrywania i
oglądania programów telewizyjnych. Więcej informacji w pakiecie
mythtv.

%package -n libmyth-devel
Summary:	Development files for libmyth
Summary(pl.UTF-8):	Pliki nagłówkowe libmyth
Group:		Development/Libraries
Requires:	libmyth = %{version}-%{release}

%description -n libmyth-devel
This package contains the header files for developing add-ons for
mythtv.

%description -n libmyth-devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia dodatków dla mythtv.

%package -n libmyth-static
Summary:	Static libmyth library
Summary(pl.UTF-8):	Statyczna biblioteka libmyth
Group:		Development/Libraries
Requires:	libmyth-devel = %{version}-%{release}

%description -n libmyth-static
Static libmyth library.

%description -n libmyth-static -l pl.UTF-8
Statyczna biblioteka libmyth.

%package -n perl-MythTV
Summary:	MythTV Perl bindings
Summary(pl.UTF-8):	Interfejs Perla dla MythTV
Group:		Libraries

%description -n perl-MythTV
MythTV Perl bindings.

%description -n perl-MythTV -l pl.UTF-8
Ten pakiet zawiera moduły Perla do tworzenia dodatków dla mythtv.

%package -n python-MythTV
Summary:	MythTV Python bindings
Summary(pl.UTF-8):	Interfejs Pythona dla MythTV
Group:		Libraries
Requires:	python-MySQLdb

%description -n python-MythTV
MythTV Python bindings.

%description -n python-MythTV -l pl.UTF-8
Ten pakiet zawiera moduły Pythona do tworzenia dodatków dla mythtv.

%prep

%setup -q

%{__sed} -i -e 's,/var/log/mythfilldatabase.log,/var/log/mythtv/mythfilldatabase.log,' \
	programs/mythbackend/housekeeper.cpp programs/mythwelcome/welcomedialog.cpp

%patch0  -p1
%patch10 -p1
%patch20 -p1
#%patch30 -p1

%{?with_dshowserver:%patch20 -p0}
rm -rf database/old # not supported in PLD

# lib64 fix - enable to update patch
%if %{_lib} != "lib" && 0
find '(' -name '*.[ch]' -o -name '*.cpp' -o -name '*.pro' ')' | \
xargs grep -l /lib . | xargs sed -i -e '
	s,/''usr/lib/,/%{_libdir}/,g
	s,/''lib/mythtv,/%{_lib}/mythtv,g
	s,{PREFIX}/lib$,{PREFIX}/%{_lib},g
'
exit 1
%endif

# Assigning null to QMAKE_LIBDIR_QT will prevent makefiles contain
# -L$(QTDIR)/%{_lib} and -Wl,-rpath,$(QTDIR)/%{_lib}. And that will
# prevent compiler finding libs from system when they should be looked
# from current buildtree.
# but that made it link with -lqt which doesn't exist, instead of -lqt-mt
# so we make QMAKE wrapper which will do sed subst after calling
# qmake. this is the wrapper.
cat > qmake-wrapper.sh <<'EOF'
#!/bin/sh
getmakefile() {
	while [ $# -gt 0 ]; do
		case "$1" in
		-o)
			shift
			makefile="$1"
			return
			;;
	esac
		shift
	done
}

qmake-qt4 "$@"
getmakefile "$@"
if [ "$makefile" ]; then
	%{__sed} -i -e '
		s;-Wl,-rpath,$(QTDIR)/%{_lib};;
		s;-L$(QTDIR)/%{_lib};;
	' $makefile
fi
EOF
chmod +x qmake-wrapper.sh

# move perl bindings to vendor prefix
sed -i -e 's#perl Makefile.PL#%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"#' \
   bindings/perl/perl.pro

%build

%if %{with cpu_autodetect}
# Make sure we have /proc mounted
if [ ! -r /proc/cpuinfo ]; then
	echo "You need to have /proc mounted in order to build with cpu_autodetect!"
	exit 1
fi
%endif

./configure \
 	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libdir-name=%{_lib} \
	--mandir=%{_mandir} \
	--disable-distcc --disable-ccache \
	--compile-type=%{?debug:debug}%{!?debug:release} \
	--extra-cflags="%{rpmcflags} -fomit-frame-pointer" \
	--extra-cxxflags="%{rpmcxxflags} -fomit-frame-pointer" \
%if %{with cpu_autodetect}
	--enable-proc-opt \
%else
	%ifarch %{ix86}
		%ifarch athlon
			--arch=athlon \
		%else
			--cpu=%{_target_cpu} --tune=pentium4 \
		%endif
	%endif
	%ifarch i386 i486 i586
	--enable-disable-mmx-for-debugging \
	%endif
	%ifarch %{x8664}
	--arch=x86_64 \
	%endif
	%{?with_mmx:--enable-mmx} \
%endif
	%{?with_dvb:--enable-dvb --dvb-path=%{_includedir}} \
	--%{?with_alsa:en}%{!?with_alsa:dis}able-audio-alsa \
	--%{?with_oss:en}%{!?with_oss:dis}able-audio-oss \
	--%{?with_jack:en}%{!?with_jack:dis}able-audio-jack \
	--%{?with_opengl:en}%{!?with_opengl:dis}able-opengl-vsync \
	--%{?with_lirc:en}%{!?with_lirc:dis}able-lirc \
	--%{?with_firewire:en}%{!?with_firewire:dis}able-firewire \
	--%{?with_xrandr:en}%{!?with_xrandr:dis}able-xrandr \
	--%{?with_xvmc:en}%{!?with_xvmc:dis}able-xvmc \
	--%{?with_ivtv:en}%{!?with_ivtv:dis}able-ivtv \
	--%{?with_iptv:en}%{!?with_iptv:dis}able-iptv \
	--%{?with_nellymoserdec:en}%{!?with_nellymoserdec:dis}able-decoder=nellymoser \
	--%{?with_vaapi:en}%{!?with_vaapi:dis}able-vaapi \
	--%{?with_vdpau:en}%{!?with_vdpau:dis}able-vdpau \
	--%{?with_directfb:en}%{!?with_directfb:dis}able-directfb \
	--%{?with_fftw3:en}%{!?with_fftw3:dis}able-libfftw3 \
	--enable-xv \
	--enable-x11 \

%{_libdir}/qt4/bin/qmake mythtv.pro
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{logrotate.d,sysconfig} \
		$RPM_BUILD_ROOT{/etc/rc.d/init.d,%{_desktopdir}} \
		$RPM_BUILD_ROOT/var/{cache,log,run}/mythtv \
		$RPM_BUILD_ROOT/var/lib/mythtv/tmp \
		$RPM_BUILD_ROOT%{_libdir}/mythtv \
		$RPM_BUILD_ROOT%{_libdir}/mythtv/plugins \
		$RPM_BUILD_ROOT%{_pixmapsdir}

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

# Install the files that we added on top of mythtv's own stuff
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/mythbackend
install %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/mythbackend
install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/mythbackend
%{?with_dshowserver:install %{SOURCE20} $RPM_BUILD_ROOT%{_datadir}/mythtv}

# desktop entries
install %{SOURCE5} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE6} $RPM_BUILD_ROOT%{_pixmapsdir}

# Install settings.pro so people can see the build options we used
install -d $RPM_BUILD_ROOT%{_datadir}/mythtv/build
install config.mak settings.pro $RPM_BUILD_ROOT%{_datadir}/mythtv/build

for p in mythfrontend; do
	for l in $RPM_BUILD_ROOT%{_datadir}/mythtv/i18n/${p}_*.qm; do
		echo $l | sed -e "s,^$RPM_BUILD_ROOT\(.*${p}_\(.*\).qm\),%%lang(\2) \1,"
	done > $p.lang
done

# glibc language codes. attempt was made to change it on libmyth side,
# but that was just asking for trouble due large coverage of
# language.lower() usage.
sed -i -e '
s,%%lang(en_gb),%%lang(en_GB),
s,%%lang(zh_tw),%%lang(zh_TW),
s,%%lang(pt_br),%%lang(pt_BR),
' *.lang

rm -rf mythtvosd mythwelcome mythlcdserver
install -d mythtvosd mythwelcome
cp -a programs/mythtvosd/{README,*.xml} mythtvosd
cp -a programs/mythwelcome/README mythwelcome
cp -a programs/mythlcdserver/README mythlcdserver

%clean
rm -rf $RPM_BUILD_ROOT

%pre backend
%groupadd -g 149 %{name}
%useradd -u 149 -d /var/lib/mythtv -g %{name} -c "MythTV User" %{name}
%addusertogroup %{name} video
%addusertogroup %{name} audio

%post backend
/sbin/chkconfig --add mythbackend

%preun backend
if [ "$1" = "0" ]; then
	%service -q mythbackend stop
	/sbin/chkconfig --del mythbackend
fi

%postun backend
if [ "$1" = "0" ]; then
	%userremove %{name}
	%groupremove %{name}
fi

%post	-n libmyth -p /sbin/ldconfig
%postun	-n libmyth -p /sbin/ldconfig

%post setup
if [ "$1" = 1 ]; then
%banner -e %{name}-setup <<EOF
To grant mysql permissions to mythtv, please run
zcat %{_docdir}/%{name}-setup-%{version}/database/mc.sql.gz | mysql
EOF
fi

%files
%defattr(644,root,root,755)
%doc README* UPGRADING AUTHORS FAQ
%doc docs contrib config
%doc keys.txt mythtvosd mythwelcome mythlcdserver

%files backend
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/mythbackend
%attr(755,root,root) %{_sbindir}/mythcommflag
%attr(755,root,root) %{_bindir}/mythfilldatabase
%attr(755,root,root) %{_sbindir}/mythjobqueue
%attr(755,root,root) %{_sbindir}/mythlcdserver
%attr(755,root,root) %{_bindir}/mythtranscode
%attr(755,root,root) %{_bindir}/mythreplex
%attr(775,root,mythtv) %dir /var/lib/mythtv
%attr(700,root,mythtv) %dir /var/lib/mythtv/tmp
%attr(775,root,mythtv) %dir /var/cache/mythtv
%attr(775,root,mythtv) %dir /var/run/mythtv
%attr(754,root,root) /etc/rc.d/init.d/mythbackend
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/mythbackend
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/mythbackend
%attr(775,root,mythtv) %dir %{_localstatedir}/log/mythtv

%files frontend -f mythfrontend.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mythfrontend
%attr(755,root,root) %{_bindir}/mythshutdown
%attr(755,root,root) %{_bindir}/mythavtest
%attr(755,root,root) %{_bindir}/mythtvosd
%attr(755,root,root) %{_bindir}/mythwelcome
%dir %{_datadir}/mythtv
%dir %{_datadir}/mythtv/themes
%dir %{_libdir}/mythtv
%{_datadir}/mythtv/*.xml
%dir %{_libdir}/mythtv/filters
%dir %{_libdir}/mythtv/plugins
%attr(755,root,root) %{_libdir}/mythtv/filters/*.so
%{_datadir}/mythtv/*.ttf
%dir %{_datadir}/mythtv/i18n
%if %{with dshowserver}
%{_datadir}/mythtv/dshowcodecs
%endif
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png

%files setup
%defattr(644,root,root,755)
%doc database
%attr(755,root,root) %{_bindir}/mythtv-setup

%files themes
%defattr(644,root,root,755)
%{_datadir}/mythtv/themes/*

%files -n libmyth
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so*
%attr(755,root,root) %{_libdir}/lib*.a
%{_datadir}/mythtv/*.pl

%files -n libmyth-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_includedir}/*
%{_datadir}/mythtv/build

%files -n libmyth-static
%defattr(644,root,root,755)

%files -n perl-MythTV
%defattr(644,root,root,755)
%{perl_vendorlib}/MythTV.pm
%dir %{perl_vendorlib}/MythTV
%{perl_vendorlib}/MythTV/*.pm
%dir %{perl_vendorlib}/IO/Socket/INET
%{perl_vendorlib}/IO/Socket/INET/MythTV.pm
%exclude %{perl_vendorarch}/auto/MythTV/.packlist

%files -n python-MythTV
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mythpython
%dir %{py_sitescriptdir}/MythTV
%{py_sitescriptdir}/MythTV/*
%{py_sitescriptdir}/*.egg-info

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mythtv.spec,v $
Revision 1.109  2011/03/29 09:28:05  baggins
- rel 5
- include macros.perl and BR:rpm-perlprov

Revision 1.108  2011/01/22 21:36:45  glen
- typo

Revision 1.107  2011/01/22 21:27:38  glen
- add /var/lib/mythtv/tmp for mythdvd

Revision 1.106  2011/01/22 20:40:14  glen
- /var/log not writable, use /var/log/mythtv

Revision 1.105  2010/11/25 13:47:11  hawk
- release 2

Revision 1.104  2010/09/27 16:03:10  w.kier
- clean up

Revision 1.103  2010/09/24 12:25:50  w.kier
-  added patch to fix compile errors with Qt4.7
-  up to 0.23.1 bugfixes release

Revision 1.102  2010/07/09 11:20:01  arekm
- release 2

Revision 1.101  2010/05/30 12:55:43  hawk
- in Th and Titanium for some time now, release 1

Revision 1.100  2010/05/16 16:05:21  sparky
- BR: which

Revision 1.99  2010/05/13 23:22:43  w.kier
- changes in configure options for x86 arch

Revision 1.98  2010/05/13 22:23:05  w.kier
- vaapi disabled by default

Revision 1.97  2010/05/13 22:03:38  w.kier
- nellymoser decoder bcond repaired

Revision 1.96  2010/05/13 21:50:28  w.kier
- reversed mmx bcond
- nellymoser decoder bcond enabed

Revision 1.95  2010/05/13 21:14:29  w.kier
- updated to 0.23; finaly pulseaudio as standard audio output available
  in mythfontend settings

Revision 1.94  2010/01/15 20:29:12  sparky
- don't use %{?without_...} - it may not work after inverting bcond

Revision 1.93  2010/01/09 22:15:52  w.kier
- Source0 changed

Revision 1.92  2010/01/09 22:11:54  w.kier
- updated to build snv fixes for stable mythtv-0.22

Revision 1.91  2009/11/27 11:49:25  glen
- add todo

Revision 1.90  2009/11/07 17:32:52  w.kier
- up to full 0.22 version
- pulseaudio bcond/BR added
- vdpau/nvidia BRs corrected
- all important (apart arts) futures enabled by default

Revision 1.89  2009/11/04 18:40:56  w.kier
- some corrections for nvidia and fftw3 BR's

Revision 1.88  2009/11/04 12:27:36  w.kier
- forced linking against libfftw3

Revision 1.87  2009/11/04 07:46:12  w.kier
- corrected Release .2 -> .1

Revision 1.86  2009/11/04 07:32:47  w.kier
- up to 0.2224635

Revision 1.85  2009/10/27 08:24:14  amateja
- added missing %dir in %files section
- release up

Revision 1.84  2009/10/23 21:59:55  w.kier
- "speed finger" error in snap removed

Revision 1.83  2009/10/23 21:13:46  w.kier
- bcond for building vdpau support with nvidia headers

Revision 1.82  2009/10/20 14:29:27  w.kier
- second nvidia cleanup

Revision 1.81  2009/10/20 13:59:56  w.kier
- removed fscn nvidia dependency; replaced with libvdpau

Revision 1.80  2009/10/19 22:40:15  w.kier
- Up to rc1 from svn versions
- BuildRequires updated (pkgconfig)
- Added nvidia vdpau bcond

Revision 1.79  2009/05/24 19:11:19  w.kier
- release rise up

Revision 1.78  2009/05/24 12:55:02  w.kier
- moved from DEVEL to HEAD branch
- up to recent (but tested) version
- strange workaround for addtogroup macro error

Revision 1.73.2.13  2009/03/22 20:36:23  w.kier
- up to current snaphot

Revision 1.73.2.12  2009/03/09 18:40:50  glen
- we don't package .py sources usually

Revision 1.73.2.11  2009/03/09 18:39:40  glen
- don't lie with comments

Revision 1.73.2.10  2009/03/09 18:38:09  glen
- it doesn't work that way

Revision 1.73.2.9  2009/03/09 15:05:09  w.kier
- python bindings relocation
- now packages can be built again

Revision 1.73.2.8  2009/03/09 12:16:51  w.kier
- syntax error correction in Patch20 definition

Revision 1.73.2.7  2009/03/09 10:53:35  paszczus
- cleanups: adaptarized

Revision 1.73.2.6  2009/03/08 21:34:42  w.kier
- Source0 definition correction - upf

Revision 1.73.2.5  2009/03/08 21:26:26  w.kier
- cleanups again

Revision 1.73.2.4  2009/03/08 21:01:51  w.kier
- Source20 syntax correction

Revision 1.73.2.3  2009/03/08 20:14:36  w.kier
- some cleanups
- md5 sums added :>

Revision 1.73.2.2  2009/03/08 18:29:54  w.kier
- changed build environement settings
  defined libdirname instead patching source
  some bconds reversed
- removed obsolete patches
- added perl bindings
- added mythfrontend icon - feel free to change it
- added dshowserver support - exclusive for x86/x86_64 archs

Revision 1.69  2008/10/13 10:22:00 wk
- add python & perl binings packages

Revision 1.68  2008/10/11 18:21:00 wk
- initial for 0.22 - Qt4 based still devel version
- rewriten "Requires" for Qt4
- changed QTDIRS for Qt4
- add dshowserver support
- rewriten some base distro patches
- some others commented as unusable
- changed state or added some bconds
- nellymoser flash audio decoder fails to build - bcond added

Revision 1.74  2008/10/08 19:24:45  qboosh
- partial cleanup

Revision 1.73  2008/10/07 15:00:01  shadzik
- ffmpeg suuport fix (new API)
- rel 5

Revision 1.72  2008/10/07 10:10:02  shadzik
- BR: OpenGL-GL-devel -> OpenGL-devel
- rel 4

Revision 1.71  2008/10/07 10:05:29  shadzik
- more BRs

Revision 1.70  2008/10/07 09:48:19  shadzik
- BR: xorg-lib-libXxf86vm-devel
- rel 2

Revision 1.69  2008/10/07 09:34:06  shadzik
- build dvb support by default (there's no known reason why we shouldn't do it, analog devices should work properly despite that)
- rel 1

Revision 1.68  2008/10/07 09:27:50  shadzik
- 0.21
- rel 0.1
- get rid of this "snap" stuff, confuses me
- del optflags.patch, add fixes.patch
- renumber patches
- no --disable-opts option nor --enable-dvb-eit
- call make with addition QTDIR variable (exporting it works for most cases but unfortunately not for all)
- shall we use the generic build mode instead of our qmake-hack thing? for now we let it build as was

Revision 1.67  2007/11/11 12:15:00  glen
- add QTDIR

Revision 1.66  2007-11-11 11:40:23  glen
- 0.20.2

Revision 1.65  2007/06/14 18:23:08  arekm
- rel 1

Revision 1.64  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.63  2007/02/12 00:49:09  baggins
- converted to UTF-8

Revision 1.62  2006/12/03 13:14:04  czarny
- source tar.bz2 from 0.20 fix branch http://svn.mythtv.org/svn/branches/release-0-20-fixes/mythtv
- this source fixes some bugs (like changinh channels hung)
- md5 and stuff for build with that source

Revision 1.61  2006/10/01 13:24:49  glen
- cleanups
- add dvdnav-shared.patch

Revision 1.60  2006/09/21 19:48:00  glen
- build hack for -L poison in makefiles

Revision 1.59  2006/09/14 16:38:01  glen
- move themes dir to -frontend package
- -themes requires -frontend package

Revision 1.58  2006/09/14 14:45:36  glen
- added configure patch (bashism fix)
- fix Release field

Revision 1.57  2006/09/14 12:58:16  glen
- 0.20 tarball

Revision 1.56  2006/09/14 10:38:53  glen
- adjust version

Revision 1.55  2006/09/14 10:35:52  glen
- started 0.20 snapshot (sc dropped, please reapply if needed)

Revision 1.53  2006/09/05 02:03:35  glen
- rel 3

Revision 1.52  2006/09/04 23:41:52  glen
- rel 2.4

Revision 1.51  2006/05/28 13:10:57  glen
- filter branch.diff
- sort BR

Revision 1.50  2006/05/28 11:59:54  glen
- add optflags patch
- add branch.diff: release 0.19 fixes up to svn 10051

Revision 1.49  2006/05/13 08:49:09  charles
- with_jack typo
- rm redundant BR gcc-c++

Revision 1.48  2006/04/23 16:47:03  glen
- AAAAA

Revision 1.47  2006/04/23 13:55:41  glen
- disable buildconflicts

Revision 1.46  2006/04/23 12:08:50  glen
- rel 2

Revision 1.45  2006/02/17 13:19:50  glen
- fix arts build

Revision 1.44  2006/02/13 01:21:55  glen
- restore lost changelog, rel 1

Revision 1.43  2006/02/12 23:58:17  glen
- merged from DEVEL

Revision 1.42  2006/01/31 13:39:40  luzik
- added mythstram support

Revision 1.41  2005/11/19 23:42:17  glen
- rel 1

Revision 1.40  2005/11/03 22:13:33  glen
- typos

Revision 1.39.2.21  2006/02/12 22:36:11  glen
- 0.19 release

Revision 1.39.2.20  2006/02/05 14:36:48  glen
- use patching instead for sbin move

Revision 1.39.2.19  2006/02/04 17:35:07  glen
- pl language by luzik

Revision 1.39.2.18  2006/02/04 17:33:04  glen
- move unuseful programs (for the user) to sbindir

Revision 1.39.2.17  2006/02/04 17:01:21  glen
- strict internal deps
- move %myth_api_version somewhere visible

Revision 1.39.2.16  2006/02/04 16:54:09  glen
- standard permissions on sysconfig and logrotate file

Revision 1.39.2.15  2006/02/04 16:52:10  glen
- r8859, includes sql fix (http://cvs.mythtv.org/trac/changeset/8856)

Revision 1.39.2.14  2006/02/04 15:38:33  glen
- skip ldconfig at install
- db auto_reconnect lack workaround for mysqlclient 5.0.13+

Revision 1.39.2.13  2006/02/03 19:35:56  glen
- cleanup Version to prevent Epoch bump
- %lang to i18n files

Revision 1.39.2.12  2006/02/03 01:14:42  glen
- disable ./configure decision on optflags, we pass our own (should we?)

Revision 1.39.2.11  2006/02/02 14:47:39  glen
- merged mythstram support from HEAD

Revision 1.39.2.10  2006/01/30 18:22:47  glen
- svn r8763 (20060129)

Revision 1.39.2.9  2006/01/12 12:49:24  glen
- added Estonian language translations
- adapterized

Revision 1.39.2.8  2006/01/12 10:21:06  glen
- move myth{shutdown,welcome} to frontend package

Revision 1.39.2.7  2006/01/12 10:19:01  glen
- move myth{commflag,transcode} to backend package (thx Cougar for pointing it out)

Revision 1.39.2.6  2006/01/09 17:59:57  glen
- drop other desktop files than mythtv-frontend, as they're not useful

Revision 1.39.2.5  2006/01/06 23:53:27  glen
- up to r8332 (reported to be working after livetv changes)

Revision 1.39.2.4  2005/11/14 00:17:37  glen
- up to last svn revision 7738 where livetv still works

Revision 1.39.2.3  2005/11/03 23:38:45  glen
- 20051104 snap

Revision 1.39.2.2  2005/11/01 00:17:23  glen
- new snap test

Revision 1.39.2.1  2005/10/22 15:29:40  glen
- update to 20051019 snap

Revision 1.39  2005/10/17 14:57:22  glen
- make mmx bcond

Revision 1.38  2005/10/17 14:15:53  qboosh
- not all i686 have mmx too (note Pentium Pro)

Revision 1.37  2005/10/16 19:40:06  glen
- add ppc to ExclusiveArch list (gentoo has it so it perhaps works?)

Revision 1.36  2005/10/16 19:34:13  glen
- not all i586 have mmx, so don't enable it (thx ankry)

Revision 1.35  2005/09/25 17:50:12  glen
- i586 has mmx

Revision 1.34  2005/09/25 17:49:21  glen
- disable mmx for i386 i486 i586 as they don't have it (FIXME)

Revision 1.33  2005/09/24 16:40:48  glen
- setup doesn't require backend and themes, afaik

Revision 1.32  2005/09/12 12:12:32  glen
- cleanup

Revision 1.31  2005/09/08 14:46:15  glen
- include also config.mak to libmyth-devel
- provide frontend-api for plugins

Revision 1.30  2005/09/08 02:49:55  glen
- disable configure distcc, ccache (you should be using macros if you need them)

Revision 1.29  2005/09/07 11:26:26  glen
- try use XvMC wrapper

Revision 1.28  2005/09/06 22:31:18  glen
- remove illegal %{_sysconfdir} usage

Revision 1.27  2005/09/06 22:29:42  glen
- fixed desktop files

Revision 1.26  2005/09/06 22:18:51  glen
- add desktop files
- cosmetics

Revision 1.25  2005/09/06 01:29:07  glen
- pass %{_lib} to configure
- remove COPYING from %doc (GPL)

Revision 1.24  2005/09/05 20:12:55  ankry
- tabs

Revision 1.23  2005/09/05 17:05:28  glen
- patch0 removed
- add --enable-proc-opt when cpu_autodetect bcond is on
- fix opengl bcond

Revision 1.22  2005/09/05 16:38:45  glen
- fix permissions of filters and state dirs
- fix homedir of mythtv user
- cleanups

Revision 1.21  2005/09/04 11:44:59  glen
- database schema moved to setup package
- %banner for db schema setup

Revision 1.20  2005/09/04 11:04:19  qboosh
- more general lib64 if

Revision 1.19  2005/09/04 10:58:49  glen
- build fixes for amd64
- fixed cache dir

Revision 1.18  2005/09/03 22:07:56  glen
- lib64 fixes
- CFLAGS passing works, but they get overriden still

Revision 1.17  2005/09/03 19:58:45  glen
- cleanups

Revision 1.16  2005/08/29 23:29:08  jpc
- bring the mythtv-setup back

Revision 1.15  2005/06/26 19:16:08  qboosh
- more todo

Revision 1.14  2005/06/26 19:01:02  qboosh
- unified preamble, use x8664 macro

Revision 1.13  2005/06/26 18:58:45  qboosh
- fixed backend dep

Revision 1.12  2005/06/26 14:42:31  averne
- updated to 0.18.1, NFY

Revision 1.11  2005/05/24 19:06:28  darekr
- missing dirs

Revision 1.10  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.9  2005/04/12 22:59:43  qboosh
- pl, some cleanups

Revision 1.8  2005/04/10 18:07:18  glen
- added mythtv user/group
- fixed %files
- cleanups

Revision 1.7  2005/04/06 16:57:44  glen
- linuxtv-dvb-1.1.1 from llh
- CFLAGS
- QTDIR in %install (it compiles things in that stage somewhy!)
- mythbackend, mythfrontend available :)

Revision 1.6  2005/04/05 21:01:06  glen
- todo

Revision 1.5  2005/04/05 20:58:50  glen
- prefix fixed
- simplify BR

Revision 1.4  2005/04/05 18:57:40  glen
- -static subpackage
- minor fixes

Revision 1.3  2005/04/05 18:46:31  glen
- cleanups; package is produced

Revision 1.2  2005/04/05 16:37:28  glen
- adapterized
- PLD deps
- restored missing cvs log
- new bcond

Revision 1.1  2005/04/05 15:43:55  glen
- raw import from http://forevermore.net/files/mythtv_misc/mythtv.spec
